#include<bits/stdc++.h>
using namespace std;
bool glavna(char a){
    if(a>='A' && a<='Z') return true;
    return false;
}
bool malka(char a){
    if(a>='a' && a<='z') return true;
    return false;
}
string a;
long long n;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    getline(cin, a);
    cin>>n;
    for(int i=0; i<a.size(); i++){
        if(glavna(a[i])){
            long long b=a[i]-'A'-n;
            if(b<0) b=26-(b%26);
            else if(b>=26) b=b%26;
            a[i]=b+'A';
        }else if(malka(a[i])){
            long long b=a[i]-'a'-n;
            if(b<0) b=26-(b%26);
            else if(b>=26) b=b%26;
            a[i]=b+'a';
        }
    }
    cout<<a;
    return 0;
}
